Name:             python-zmq
Version:          17.0.0
Release:          7
Summary:          Python bindings for zeromq
License:          LGPLv3+ and ASL 2.0 and BSD
URL:              http://www.zeromq.org/bindings:python
Source0:          https://github.com/zeromq/pyzmq/archive/v%{version}/pyzmq-%{version}.tar.gz
BuildRequires:    zeromq-devel python3-Cython
BuildRequires:    python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools
BuildRequires:    chrpath python3-devel gcc

%description
This package contains the Python bindings for 0MQ.0MQ is a
lightweight and fast messaging implementation.

%package -n python%{python3_pkgversion}-zmq
Summary:          Python bindings for zeromq
License:          LGPLv3+
%{?python_provide:%python_provide python%{python3_pkgversion}-zmq}

%description -n python%{python3_pkgversion}-zmq
This package contains the Python bindings for 0MQ.0MQ is a
lightweight and fast messaging implementation.

%package -n python%{python3_pkgversion}-zmq-devel
Summary:          Python bindings for zeromq
License:          LGPLv3+
Requires:         python%{python3_pkgversion}-zmq = %{version}-%{release}
Provides:         python%{python3_pkgversion}-zmq-tests = %{version}-%{release}
Obsoletes:        python%{python3_pkgversion}-zmq-tests < %{version}-%{release}

%description -n python%{python3_pkgversion}-zmq-devel
This package contains the testsuite for the 0MQ.0MQ is a
lightweight and fast messaging implementation.

%prep
%autosetup -n pyzmq-%{version} -p1
rm -rf bundled
for lib in zmq/eventloop/*.py; do sed -i '/\/usr\/bin\/env/d' $lib; done
chmod -x examples/pubsub/topics_{pub.py,sub.py}

%build
CFLAGS="%{optflags}" %{__python3} setup.py build_ext --inplace
%py3_build

%install
%global RPATH /zmq/{backend/cython,devices}
%py3_install
pathfix.py -pn -i %{__python3} %{buildroot}%{python3_sitearch}

%files -n python%{python3_pkgversion}-zmq
%doc README.md COPYING.*
%{python3_sitearch}/*
%exclude %{python3_sitearch}/zmq/tests

%files -n python%{python3_pkgversion}-zmq-devel
%{python3_sitearch}/zmq/tests

%changelog
* Mon Nov 14 2022 xu_ping <xuping33@h-partners.com> - 17.0.0-7
- change source path

* Mon May 31 2021 huanghaitao <huanghaitao8@huawei.com> - 17.0.0-6
- Completing build dependencies

* Mon Nov 9 2020 caodongxia <caodongxia@huawei.com> - 17.0.0-5
- Remove python2 subpackage

* Fri Mar 6 2020 likexin <likexin4@huawei.com> - 17.0.0-4
- package init
